Subject: Re: [PATCH 2/2] Use resource_size_t for serial port IO addresses

From: Alan <[email-masked]>
Date: Tue, 20 Feb 2007 13:06:34 +0000

On Tue, 20 Feb 2007 14:19:51 +1100 (EST)
David Gibson <[email-masked]> wrote:

> At present, various parts of the serial code use unsigned long to
> define resource addresses.  This is a problem, because some 32-bit
> platforms have physical addresses larger than 32-bits, and have mmio
> serial uarts located above the 4GB point.
> 
> This patch changes the type of mapbase in both struct uart_port and
> struct plat_serial8250_port to resource_size_t, which can be
> configured to be 64 bits on such platforms.  The mapbase in
> serial_struct can't safely be changed, because that structure is user
> visible.
> 
> Signed-off-by: David Gibson <[email-masked]>

Acked-by: Alan Cox <[email-masked]>